import fitz  

def extract_text(file_path, page_number):
    # 打开PDF文件
    doc = fitz.open(file_path)
    
    # 检查页面号是否有效
    if page_number < 1 or page_number > len(doc):
        return "页面号超出文档范围"
    
    # 提取指定页面的文本（页面索引从0开始，因此减1）
    page = doc[page_number - 1]
    text = page.get_text()
    
    # 关闭文档
    doc.close()
    
    return text